Innehåll

# Add-in Functions

The following describes and lists some of the available add-in functions.

Tilläggsbegrepp

You will also find a description of the LibreOffice Calc add-in interface in the Help. In addition, important functions and their parameters are described in the Help for the Shared Library LibreOffice Calc add-in DLL.

## Medföljande add-ins

I LibreOffice finns exempel för tilläggsgränssnittet till LibreOffice Calc.

Analysfunktioner del ett

Analysfunktioner del två

## DAYSINMONTH

Beräknar antalet dagar under den månad då datumet som angetts inträffar.

#### Syntax

DAGARIMÅNADEN(datum)

Datum är alla datum i respektive månad under ett valfritt år. Parametern Datum måste ha ett giltigt datum i enlighet med de lokala inställningarna för LibreOffice.

#### Exempel

=DAGARIMÅNADEN(A1) returnerar 29 dagar om A1 innehåller 1968-02-17, ett giltigt datum för 1968.

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.DAYSINMONTH

DAYSINMONTH wiki page.

## DAYSINYEAR

Beräknar antalet dagar under det år då datumet som angetts inträffar.

#### Syntax

DAGARPÅÅRET(datum)

Datum är alla datum inom ett visst år. Parametern Datum måste ha ett giltigt datum i enlighet med de lokala inställningarna för LibreOffice.

#### Exempel

=DAGARPERÅR(A1) returnerar 366 dagar om A1 innehåller 1968-02-29, ett giltigt datum för 1968.

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.DAYSINYEAR

DAYSINYEAR wiki page.

## ISLEAPYEAR

Fastställer om ett år är ett skottår. Om så är fallet, returneras värdet 1 (SANT). Om inte, returneras 0 (FALSKT).

#### Syntax

ÄRSKOTTÅR("Datum")

Date specifies whether a given date falls within a leap year. The Date parameter must be a valid date.

Microsoft Excel wrongly assumes year 1900 to be a leap year and considers the inexistent day of 1900-02-29 as valid in date calculations. Dates prior to 1900-03-01 are therefore different in Excel and Calc.

#### Exempel

=ÄRSKOTTÅR(A1) returnerar 1, om A1 innehåller 1968-02-29, det giltiga datumet 29 februari 1968 i den lokala språkinställningen.

You may also use =ISLEAPYEAR(DATE(1968;2;29)) or =ISLEAPYEAR("1968-02-29") giving the date string in the ISO 8601 notation.

Använd aldrig =ÄRSKOTTÅR(1968-02-29), eftersom detta först skulle beräkna 2 delat med 29 delat med 68. Beräkna sedan ÄRSKOTTÅR-funktionen från det här numret som ett seriellt datumtal.

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.ISLEAPYEAR

ISLEAPYEAR wiki page.

## MONTHS

Beräknar skillnaden i månader mellan två datum.

#### Syntax

MÅNADER(Startdatum; Slutdatum; Typ)

Startdatum är det första datumet

Slutdatum är det andra datumet

Typ anger typen av differenser. Möjliga värden omfattar 0 (intervall) och 1 (i kalendermånader).

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.MONTHS

MONTHS wiki page.

## ROT13

Krypterar en teckensträng genom att flytta tecknen 13 positioner i alfabetet. Efter bokstaven Ö börjar alfabetet om igen (rotation). Genom att använda krypteringsfunktionen igen på den returnerade koden kan du dekryptera texten.

#### Syntax

ROT13(text)

Text är den textsträng som ska krypteras. ROT13(ROT13(Text)) dekrypterar koden.

#### Exempel

=ROT13("Gur Qbphzrag Sbhaqngvba jnf sbhaqrq va Frcgrzore 2010.") returns the string "The Document Foundation was founded in September 2010.". Notice how spaces, digits, and full stops are unaffected by ROT13.

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.ROT13

Refer to the ROT13 wiki page for more details about this function.

## WEEKS

Beräknar skillnaden i veckor mellan två datum.

#### Syntax

VECKOR(Startdatum; Slutdatum; Typ)

StartDate is the start date in the interval.

EndDate is the end date in the interval. The end date must be greater than the start date, or else an error is returned.

Type specifies the type of difference to be calculated. Possible values are 0 (time interval) or 1 (calendar weeks).

If Type = 0 the function will assume that 7 days is equivalent to one week without considering any specific day to mark the beginning of a week.

If Type = 1 the function will consider Monday to be the first day of the week. Therefore, except for the start date, each occurrence of a Monday in the interval is counted as an additional week.

This function considers Monday to be the first day of the week regardless of the current locale settings.

#### Exempel

In the following examples, dates are passed as strings. However, they can also be stored in separate cells and be passed as references.

=WEEKS("2022-01-12","2022-01-17",0) returns 0 because Type was set to 0 and there are only 5 days in the interval.

=WEEKS("2022-01-12","2022-01-19",0) returns 1 because Type was set to 0 and there are 7 days in the interval.

=WEEKS("2022-01-12","2022-01-17",1) returns 1 because Type was set to 1 and the interval contains a Monday, since 2022-01-12 is a Wednesday and 2022-01-17 is a Monday.

=WEEKS("2022-01-12","2022-01-15",1) returns 0 because Type was set to 1 and the interval does not contain any Mondays, except for the start date.

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.WEEKS

WEEKS wiki page.

## WEEKSINYEAR

Beräknar antalet veckor under det år då datumet som angetts inträffar. Antalet veckor definieras så här: en vecka som sträcker sig över två år läggs till det året där de flesta dagarna i veckan finns.

#### Syntax

VECKORPERÅR(datum)

Datum är alla datum inom ett visst år. Parametern Datum måste ha ett giltigt datum i enlighet med de lokala inställningarna för LibreOffice.

Following ISO 8601, this function considers Monday to be the first day of the week, and the first week of a year is the one with most days in this year.

#### Exempel

VECKORPERÅR(A1) returnerar 53 om A1 innehåller 1970-02-17, ett giltigt datum för 1970.

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.WEEKSINYEAR

WEEKSINYEAR wiki page.

## YEARS

Beräknar skillnaden i år mellan två datum.

#### Syntax

ÅR(Startdatum; Slutdatum; Typ)

Startdatum är det första datumet

Slutdatum är det andra datumet

Typ anger typen av differens. Möjliga värden är 0 (intervall) och 1 (i kalenderår).

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.YEARS

YEARS wiki page.

## Tillägg via LibreOffice API

Add-ins can also be implemented through the LibreOffice API.

Närliggande ämnen

Functions by Category